comecerodocs

Get subscription options

GET
/subscriptions/options

Returns choices for managing subscriptions, such as the cancellation reasons set in your subscription settings. Secret and trusted tokens may call it; a limited token may not (403).

Authorization

headerAuthorizationBearer <token>

A secret, trusted or limited token. See Authentication.

Response Body

The subscription options.

application/json
  1. response

Choices to show when a subscription is managed, such as the cancellation reasons set in your subscription settings.

account_id*string

The account.

test*boolean

true when read with a test token.

cancellation_reasons*array<string>

The cancellation reasons from your subscription settings. Send one as cancellation_reason when you cancel. Empty when none are set.

Example Request
curl -X GET 'https://api.comecero.com/api/v1/subscriptions/options'
Example Response
{  "account_id": "AB1234",  "test": true,  "cancellation_reasons": [    "Too expensive",    "No longer needed",    "Switching to another product"  ]}